import Foundation

public struct Property: Equatable, Hashable {
    public var key: String
    public var value: PropertyValue<Property>
}

public enum PropertyValue<P>: Equatable, Hashable where P: Equatable & Hashable {
    case boolValue(Bool?)
    case multipleValues(values: [P], options: String)
    case flight(code: String?, date: Date?)
}
